package com.red.circle.other.inner.asserts;

import com.red.circle.framework.dto.IResponseErrorCode;
import com.red.circle.framework.dto.ResErrorCode;

/**
 * 礼物， 业务状态码范围： 8400~8500
 *
 * @author pengliang on 2023/9/25
 */
@ResErrorCode(describe = "礼物态码", minCode = 8400, maxCode = 8500)
public enum GiftErrorCode implements IResponseErrorCode {

  /**
   * 未找到礼物.
   */
  GIFT_NOT_FOUND(8400, "No gift found"),

  /**
   * 不支持礼物类型.
   */
  NOT_SUPPORTED_GIFT_TYPE(8401, "Not Supported gift type"),
  /**
   * 400
   */
  BAD_REQUEST(8402, "Request parameters are incorrect or incomplete"),

  /**
   * 平台已存在,请修改.
   */
  @Deprecated
  GIFT_BACK_EXISTS(8403, "The platform already exists, please modify it"),

  /**
   * 改规格已绑定幸运礼物，无法删除.
   */
  GAME_LUCKY_GIFT_STANDARD_DELETED_ERROR(8404,"The specification has been bound to a lucky gift and cannot be deleted"),
  /**
   * 配置数据未改动.
   */
  GAME_LUCKY_GIFT_PROBABILITY_CONFIG_UPDATE_ERROR(8405,"Configuration data unchanged"),

  /**
   * 不是同一个大区
   */
  NOT_SAME_REGION(8406, "Not the same region"),

  /**
   * 魔法礼物只支持发送一个
   */
  MAGIC_GIFT_QUANTITY_ERROR(8407, "The multiple magical gift gifting feature is undergoing an upgrade to improve performance and is temporarily unavailable for use.")
  ;

  private final int code;
  private final String message;

  GiftErrorCode(int code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return this.message;
  }

  @Override
  public String getErrorCodeName() {
    return this.name();
  }

}
